package com.bawei.mall.search.rabbit;

import com.bawei.common.rabbit.enums.QueueEnum;
import org.springframework.amqp.core.Queue;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import static com.bawei.common.rabbit.enums.QueueEnum.TEST;

/**
 * @author DongZl
 * @description: 队列配置
 * @Date 2022-10-21 下午 01:42
 */
@Configuration
public class QueueConfig {
    @Bean
    public Queue myQueue() {
        return new Queue(TEST.queueName(), true);
    }
    @Bean
    public Queue productAddQueue() {
        return new Queue(QueueEnum.PRODUCT_ADD.queueName(), true);
    }
}
